
!ClassDescription methodsFor: '*FuelTestsCompatibilityBeforeSqueak45' stamp: 'MaxLeske 12/29/2012 15:06'!
duringTestCompileSilently: code
	^ Utilities 
		useAuthor: 'TestsAuthor'
		during: [ 
			 [ self compile: code classified: '' withStamp: nil notifying: nil logSource: true ] fuelValueWithoutNotifications ]! !

!FLMigrationTest methodsFor: '*FuelTestsCompatibilityBeforeSqueak45' stamp: 'MaxLeske 1/1/2013 21:20'!
testFormatFixedToVariable
! !

!FLMigrationTest methodsFor: '*FuelTestsCompatibilityBeforeSqueak45' stamp: 'MaxLeske 1/1/2013 21:20'!
testFormatVariableToFixed
! !

!FLBlockClosureSerializationTest methodsFor: '*FuelTestsCompatibilityBeforeSqueak45' stamp: 'MaxLeske 12/30/2012 10:51'!
testCleanCachedBlockClosure
! !

!FLBlockClosureSerializationTest methodsFor: '*FuelTestsCompatibilityBeforeSqueak45' stamp: 'MaxLeske 12/30/2012 10:51'!
testUncleanCachedBlockClosure
! !

!ClassFactoryForTestCase methodsFor: '*FuelTestsCompatibilityBeforeSqueak45' stamp: 'MaxLeske 12/29/2012 16:10'!
newName
	| postFix |
	postFix := (self createdClasses size + 1) printString.
	^(#ClassForTestToBeDeleted, postFix) asSymbol! !

!GradientFillStyle methodsFor: '*FuelTestsCompatibilityBeforeSqueak45' stamp: 'MaxLeske 12/29/2012 15:44'!
= anGradientFillStyle
	"Answer whether equal."

	^super = anGradientFillStyle
		and: [self pixelRamp == anGradientFillStyle pixelRamp] "LRU should make identity equal"! !

!OrientedFillStyle methodsFor: '*FuelTestsCompatibilityBeforeSqueak45' stamp: 'MaxLeske 12/29/2012 15:45'!
= anOrientedFillStyle
	"Answer whether equal."

	^self species = anOrientedFillStyle species
		and: [self origin = anOrientedFillStyle origin
		and: [self direction = anOrientedFillStyle direction
		and: [self normal = anOrientedFillStyle normal]]]! !

!FLBasicSerializationTest methodsFor: '*FuelTestsCompatibilityBeforeSqueak45' stamp: 'MaxLeske 12/29/2012 17:39'!
expectedFailures
	^ #()! !

!FLBasicSerializationTest methodsFor: '*FuelTestsCompatibilityBeforeSqueak45' stamp: 'MaxLeske 12/29/2012 18:04'!
testDateOffsets
	| bst sast materialized object |
	bst := TimeZone timeZones third.
	sast := TimeZone timeZones fourth.
	
	DateAndTime localTimeZone: bst.
	self assert: DateAndTime now offset equals: 1 hour.
	object := Date fromDays: 37023.
	self assert: object start offset equals: 0 hours.
	materialized := self resultOfSerializeAndMaterialize: object.
	self assert: materialized start offset equals: 0 hours.
	
	DateAndTime localTimeZone: sast.
	self assert: DateAndTime now offset equals: 2 hours.
	object := Date fromDays: 37023.
	self assert: object start offset equals: 0 hours.
	materialized := self resultOfSerializeAndMaterialize: object.
	self assert: materialized start offset equals: 0 hours.

	object := Date fromDays: 37023.
	object start: DateAndTime now.
	self assert: object start offset equals: 2 hours.
	materialized := self resultOfSerializeAndMaterialize: object.
	self assert: materialized start offset equals: 2 hours! !

!FLBasicSerializationTest methodsFor: '*FuelTestsCompatibilityBeforeSqueak45' stamp: 'MaxLeske 12/29/2012 18:07'!
testDateOffsetsChanging
	| bst sast object |
	bst := TimeZone timeZones third.
	sast := TimeZone timeZones fourth.
	
	DateAndTime localTimeZone: bst.
	self assert: DateAndTime now offset equals: 1 hour.
	object := Date fromDays: 37023.
	object start: DateAndTime now.
	self assert: object start offset equals: 1 hours.
	self serialize: object.
	
	DateAndTime localTimeZone: sast.
	self assert: DateAndTime now offset equals: 2 hours.
	object := Date fromDays: 37023.
	self assert: object start offset equals: 0 hours.
	"serialization sould be independent of timezone change"
	self assert: self materialized start offset equals: 1 hour
	! !

!Utilities class methodsFor: '*FuelTestsCompatibilityBeforeSqueak45' stamp: 'MaxLeske 12/29/2012 15:08'!
useAuthor: aString during: aBlock
	| previous |
	previous := AuthorInitials.
	AuthorInitials := aString.
	^ aBlock ensure: [ AuthorInitials := previous ]! !
